# Copyright 1999-2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit meson git-r3

MY_PV="${PV/_/}"

EGIT_REPO_URI="https://github.com/hyprwm/Hyprland.git"
EGIT_SUBMODULES=( "*" )
S="${WORKDIR}/hyprland-${MY_PV}"

KEYWORDS="~amd64 ~arm64"
DESCRIPTION="Hyprland is a dynamic tiling Wayland compositor that doesn't sacrifice on its looks."
HOMEPAGE="https://github.com/hyprwm/Hyprland"

LICENSE="BSD"
SLOT="0"
IUSE=""

BDEPEND="
	dev-util/ninja
"

RDEPEND="
	x11-apps/xinput
"

DEPEND="
	${RDEPEND}
	!!gui-libs/wlroots
	x11-libs/libxcb
	x11-base/xcb-proto
	x11-libs/xcb-util
	x11-libs/xcb-util-keysyms
	x11-libs/libXfixes
	x11-libs/libX11
	x11-libs/libXcomposite
	x11-libs/libXrender
	x11-libs/pixman
	dev-libs/wayland-protocols
	x11-libs/cairo
	x11-libs/pango
	sys-auth/seatd
"
